> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.apologist.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.apologist.ai/_mcp/server.

# Get Benchmark Run

GET https://your-agent-domain.com/api/v1/benchmarks/{id}/runs/{runId}

Returns a single benchmark run by id or UUID, scoped to the requesting agent, including nested evaluators, questions, and evaluations.

Reference: https://docs.apologist.ai/agent-api/api-reference/benchmark-runs/get-benchmark-run

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: agent-api
  version: 1.0.0
paths:
  /benchmarks/{id}/runs/{runId}:
    get:
      operationId: getBenchmarkRun
      summary: Get Benchmark Run
      description: >-
        Returns a single benchmark run by id or UUID, scoped to the requesting
        agent, including nested evaluators, questions, and evaluations.
      tags:
        - benchmarks
      parameters:
        - name: id
          in: path
          description: The id or key of the benchmark
          required: true
          schema:
            type: string
        - name: runId
          in: path
          description: The id or UUID of the run
          required: true
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The benchmark run
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Benchmarks_getBenchmarkRun_Response_200'
        '403':
          description: Forbidden - Invalid or missing API key
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                description: Any type
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://your-agent-domain.com/api/v1
    description: Production server
components:
  schemas:
    BenchmarksIdRunsRunIdGetResponsesContentApplicationJsonSchemaData:
      type: object
      properties: {}
      title: BenchmarksIdRunsRunIdGetResponsesContentApplicationJsonSchemaData
    Benchmarks_getBenchmarkRun_Response_200:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/BenchmarksIdRunsRunIdGetResponsesContentApplicationJsonSchemaData
      title: Benchmarks_getBenchmarkRun_Response_200
  securitySchemes:
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication
    BearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

```

## Examples



**Response**

```json
{
  "data": {}
}
```

**SDK Code**

```typescript
import { ApologistAgentClient } from "apologist";

async function main() {
    const client = new ApologistAgentClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.benchmarks.getBenchmarkRun("id", "runId");
}
main();

```

```python
from apologist import ApologistAgent

client = ApologistAgent(
    api_key="YOUR_API_KEY_HERE",
)

client.benchmarks.get_benchmark_run(
    id="id",
    run_id="runId",
)

```

```java
package com.example.usage;

import ai.apologist.AgentClient;
import ai.apologist.resources.benchmarks.requests.GetBenchmarkRunRequest;

public class Example {
    public static void main(String[] args) {
        AgentClient client = AgentClient
            .builder()
            .apiKey("YOUR_API_KEY_HERE")
            .build();

        client.benchmarks().getBenchmarkRun(
            "id",
            "runId",
            GetBenchmarkRunRequest
                .builder()
                .build()
        );
    }
}
```

```ruby
require "apologist"

client = Apologist::AgentClient.new(api_key: "YOUR_API_KEY_HERE")

client.benchmarks.get_benchmark_run(
  id: "id",
  run_id: "runId"
)

```

```csharp
using Apologist;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new AgentClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.Benchmarks.GetBenchmarkRunAsync(
            new GetBenchmarkRunRequest {
                Id = "id",
                RunId = "runId"
            }
        );
    }

}

```

```go
package example

import (
    context "context"

    apgsdkgo "github.com/apologist-project/apg-sdk-go"
    client "github.com/apologist-project/apg-sdk-go/client"
    option "github.com/apologist-project/apg-sdk-go/option"
)

func do() {
    client := client.NewApologistAgentClient(
        option.WithAPIKey(
            "YOUR_API_KEY_HERE",
        ),
    )
    request := &apgsdkgo.GetBenchmarkRunRequest{
        ID: "id",
        RunID: "runId",
    }
    client.Benchmarks.GetBenchmarkRun(
        context.TODO(),
        request,
    )
}

```

```php
<?php

namespace Example;

use Apologist\AgentClient;

$client = new AgentClient(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->benchmarks->getBenchmarkRun(
    'id',
    'runId',
);

```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://your-agent-domain.com/api/v1/benchmarks/id/runs/runId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```